.if t .ds LX L\\h'-0.36m'\\v'-0.15v'\\s-2A\\s+2\\h'-0.15m'\\v'0.15v'T\\h'-0.1667m'\\v'0.20v'E\\v'-0.20v'\\h'-0.125m'X
.if n .ds LX LaTeX
.if t .ds TX T\\h'-0.1667m'\\v'0.20v'E\\v'-0.20v'\\h'-0.125m'X
.if n .ds TX TeX
.TH DVICONCAT \*(TX
.SH NAME
dviconcat \- concatenate DVI files
.SH SYNOPSIS
.B dviconcat
[
.B \-m
.I magnification
] [
.B \-o
.I outfile
]
.I "list of files"
.SH DESCRIPTION
The program
.I dviconcat
concatenates the named
.IR file(s)
(or standard input, if no file names are given)
onto the standard output
or the given
.IR outfile ,
creating a new DVI file
usable by any of the \*(TX conversion programs,
or even by
.I dviconcat
itself.
.PP
The magnification of the output file
is the same as that of the first input file
unless the
.B \-m
option is given.
When
.I dviconcat
changes the magnification of any input file,
it prints a warning to this effect.
.SH AUTHOR
Chris Torek, University of Maryland
.SH "SEE ALSO"
dviselect(\*(TX), latex(\*(TX), tex(\*(TX)
.br
.I "MC-\*(TX User's Guide"
.SH BUGS
The program should be called
.IR dvicat ,
but that name was taken (for the driver for the C/A/T typesetter).
