.ie t .ds TX \fRT\v'+0.25m'E\v'-0.25m'X\fP\" for troff
.el .ds TX TeX\" for nroff
.\" to use, type \*(TX
.if t .ds LX L\v'-.22m'\h'-.1667m'\s-3A\s+3\h'-.125m'\v'.22m'T\h'-.1667m'\v'.22m'E\h'-.125m'\v'-.22m'X
.if n .ds LX LaTeX
.\" to use, type \*(LX
.ie t .ds OX \fIT\v'+0.25m'E\v'-0.25m'X\fP\" for troff
.el .ds OX TeX\" for nroff
.\" the same but obliqued
.TH DVITYPE \*(TX "7 Jan 92"
.SH NAME
dvitype - translate a dvi file for humans
.SH SYNOPSIS
.B dvitype
dvi_file_name
.SH DESCRIPTION
The
.I dvitype
program translates a DVI (DeVice Independent) file output by, for example,
.BR tex (\*(TX)
or
.BR gftodvi (\*(TX),
to a file that humans can read. It also serves as a DVI file-validating
program (i.e., if
.I dvitype
can read it, it's correct) and as an example of a DVI-reading
program for future device drivers.
.PP
The output file can include all commands, just the important
ones, or none at all (in which case only errors are reported).
A subinterval of pages may be selected for transliteration; the
magnification and resolution of the ``output device'' may be
changed; and so on. All options are specified with an on-line dialog.
.PP
The
.I dvi_file_name
on the command line must be complete. The
.I .dvi
extension is not supplied if omitted. The output goes to
.IR stdout .
.SH ENVIRONMENT
The environment variable TEXFONTS is used to search for the TFM files
used in the DVI file.  See
.BR tex (\*(TX)
for the details of the searching.
If TEXFONTS is not set, it uses the system default: 
.BR .:/usr/local/lib/tex/fonts/tfm	/* TFM fonts */ .
.SH "SEE ALSO"
gftype(\*(TX), pktype(\*(TX)
.br
Donald Knuth,
.I \*(TX ware
.SH AUTHORS
Donald Knuth wrote the program.  It was published as part of the
.I \*(TX ware
technical report, available from the \*(TX Users Group.
Howard Trickey and Pavel Curtis originally ported it to Unix.
