.ie t .ds TX \fRT\v'+0.25m'E\v'-0.25m'X\fP\" for troff
.el .ds TX TeX\" for nroff
.\" to use, type \*(TX
.if t .ds LX L\v'-.22m'\h'-.1667m'\s-3A\s+3\h'-.125m'\v'.22m'T\h'-.1667m'\v'.22m'E\h'-.125m'\v'-.22m'X
.if n .ds LX LaTeX
.\" to use, type \*(LX
.ie t .ds OX \fIT\v'+0.25m'E\v'-0.25m'X\fP\" for troff
.el .ds OX TeX\" for nroff
.\" the same but obliqued
.TH PATGEN \*(TX "21 Mar 92"
.SH NAME
patgen - generate patterns for \*(TX hyphenation
.SH SYNOPSIS
.B patgen
dictionary_file pattern_file output_file translate_file
.SH DESCRIPTION
The
.IR patgen program reads the
.I dictionary_file
and produces the
.IR pattern_file ,
writing a transcript of its actions on the
.IR output_file .
The
.I dictionary_file
should contain a list of hyphenated words and
previously-generated patterns.
.PP
The patterns thus generated can be read by
.I initex
for use in hyphenating words. For a (very) long example of
.IR patgen 's
output, see 
.BR /usr/local/lib/tex/inputs/hyphen.tex , which contains the patterns \*(TX uses for
English. 
.PP
All filenames must be complete.  No adding of default
extensions or path searching is done.
.PP
.SH FILES
/usr/local/lib/tex/inputs/hyphen.tex    Patterns for English.
.SH "SEE ALSO"
Frank Liang, 
.IR Word hy-phen-a-tion by com-puter , Stanford Ph.D. thesis
.SH AUTHORS
Frank Liang wrote the first version of this program.  Peter
Breitenlohner made a
substantial revision in 1991 for \*(TX 3.
The first version was published as the appendix to the 
.I \*(TXware
technical report, available from the \*(TX Users Group. Howard Trickey
originally ported it to Unix.
