.ie t .ds TX \fRT\v'+0.25m'E\v'-0.25m'X\fP\" for troff
.el .ds TX TeX\" for nroff
.\" to use, type \*(TX
.if t .ds LX L\v'-.22m'\h'-.1667m'\s-3A\s+3\h'-.125m'\v'.22m'T\h'-.1667m'\v'.22m'E\h'-.125m'\v'-.22m'X
.if n .ds LX LaTeX
.\" to use, type \*(LX
.ie t .ds OX \fIT\v'+0.25m'E\v'-0.25m'X\fP\" for troff
.el .ds OX TeX\" for nroff
.\" the same but obliqued
.TH VPTOVF \*(TX "7 Jan 92"
.SH NAME
vptovf - convert virtual property lists to virtual font metrics
.SH SYNOPSIS
.B vptovf
[-verbose] vpl_file_name vfm_file_name tfm_file_name
.SH DESCRIPTION
The 
.I vptovf
program translates a (human-oriented) property list file to a pair of
(program-oriented) files in the VF (virtual font) and TFM (\*(TX font metric)
formats. Thus, a virtual font
file can be edited and its exact contents
can be displayed mnemonically.
New virtual fonts, which map characters as seen by \*(TX into an arbitrary
sequence of low-level typesetting operations,
can also be created in this way.
.PP
All three file names,
.I vpl_file_name,
.I vf_file_name,
and
.I tfm_file_name,
must be complete. No adding of default extensions or path searching is done.
.SH OPTIONS
Without the
.I -verbose
option,
.I vptovf
operates silently.  With it, a banner and progress report are printed on
.IR stdout .
See
.BR tex (\*(TX)
for the details of specifying options.
.SH "SEE ALSO"
vftovp(\*(TX)
.br
Donald Knuth,
.I Virtual Fonts: More Fun for Grand Wizards,
TUGboat 11(1), April 1990.
.SH AUTHORS
Donald Knuth wrote the program, based in part on an idea of David Fuchs,
starting with the code for
.BR pltotf (\*(TX).
Karl Berry adapted it for compilation with web2c.
