      PROGRAM INDEXC
      IMPLICIT INTEGER(A-Z)
      PARAMETER(LLTH=255,MTAB=700,TLTH=140)
      CHARACTER*(LLTH) LIGNE,CLIGNE
      CHARACTER*(TLTH) TABLE(MTAB),FTABL(MTAB)
      CHARACTER*(LLTH) TEXTI,TEXTJ
      CHARACTER*1 MAJUSC(0:255)
      INTEGER LETTER(0:255),DIGIT(0:255)
      INTEGER ORDNO(MTAB)
      CHARACTER*64 INPUT,OUTPUT,OPTION
      CHARACTER*(*) INDEXENTRY
      LOGICAL REPACK,UPCASE_COMP
      PARAMETER (INDEXENTRY='\indexentry')
      CHARACTER*64 END_SKIP 
C
C C   CALL FFRCL(132)
C C   CALL PRINTOUT
C
      LENTRY=LEN(INDEXENTRY)
      LANGUAGE=0 
      REPACK=.FALSE.
      UPCASE_COMP=.TRUE.
C 0=anglais, 1=francais, 2=allemand 3=espagnol  4=italien
      NARGS=IARGC()
      INPUT=' '
      OUTPUT=' '
      END_SKIP=' '
      DO 15 J=1,NARGS
        CALL GETARG(J,OPTION)
        IF(OPTION(1:1) .NE. '-') THEN 
          IF(INPUT .EQ. ' ') THEN
            INPUT=OPTION
          ELSE IF(OUTPUT .EQ. ' ') THEN
            OUTPUT=OPTION
          ELSE
            PRINT *,'Exceeding parameter:',OPTION(:TRIMLN(OPTION))
          END IF
        ELSE IF(OPTION .EQ. '-e') THEN
          LANGUAGE=0
        ELSE IF(OPTION .EQ. '-f') THEN
          LANGUAGE=1
        ELSE IF(OPTION .EQ. '-g') THEN
          LANGUAGE=2
        ELSE IF(OPTION .EQ. '-s') THEN
          LANGUAGE=3
        ELSE IF(OPTION .EQ. '-i') THEN
          LANGUAGE=4
        ELSE IF(OPTION .EQ. '-A') THEN
          REPACK=.TRUE.
        ELSE IF(OPTION .EQ. '-C') THEN
          UPCASE_COMP=.FALSE.
        ELSE IF(OPTION(1:2) .EQ. '-X' .AND. OPTION(3:).NE.' ')THEN
          END_SKIP=OPTION(3:)
        ELSE IF(OPTION .EQ. '-h') THEN 
          PRINT *,'Sortindx, version 1.1 - D. Taupin'
          PRINT *,' '
          PRINT *,'  SORTINDX [options] <input-file> <output-file> ',
     $      '[options]'
          PRINT *,' '   
          PRINT *,'Options: -e : english alphabetical order'   
          PRINT *,'Options: -f : french alphabetical order'   
          PRINT *,'Options: -g : german alphabetical order'   
          PRINT *,'Options: -h : this help'   
          PRINT *,'Options: -i : italian alphabetical order'   
          PRINT *,'Options: -s : spanish alphabetical order ~n/ch/ll'   
          PRINT *,'Options: -A : repack spaces and {\accent x x}'   
          PRINT *,'Options: -C : case dependent sorting (A>z)'   
          PRINT *,'Options: -X<string> : eliminate index entry text',
     $     ' until <string> (included)'
          PRINT *,'                      in sorted file'   
          PRINT *,'------------- RETURN KEY TO RESUME ------------'
          READ '(A)',OPTION
        ELSE
          PRINT *,'Illegal option:',OPTION(:TRIMLN(OPTION))
          STOP
        END IF
15    CONTINUE
C
      PRINT *,'input :',INPUT
      PRINT *,'output:',OUTPUT
      PRINT *,'language=',LANGUAGE
C
      DO 40 I=0,255
        LETTER(I)=0
        MAJUSC(I)=CHAR(I)
        DIGIT(I)=-1
40    CONTINUE
      MAJMIN=ICHAR('A')-ICHAR('a')
      J=0
      DO 41 I=ICHAR('A'),ICHAR('I')
      J=J+1
      LETTER(I)=J
      MAJUSC(I-MAJMIN)=CHAR(I)
41    CONTINUE
      DO 42 I=ICHAR('J'),ICHAR('R')
      J=J+1
      LETTER(I)=J
      MAJUSC(I-MAJMIN)=CHAR(I)
42    CONTINUE
      DO 43 I=ICHAR('S'),ICHAR('Z')
      J=J+1
      LETTER(I)=J
      MAJUSC(I-MAJMIN)=CHAR(I)
43    CONTINUE
      J=0
      DO 44 I=ICHAR('0'),ICHAR('9')
      DIGIT(I)=J
      J=J+1
44    CONTINUE
      OPEN(8,FILE=INPUT,IOSTAT=IZ,STATUS='OLD')
      IF(IZ .NE. 0) THEN
          PRINT *,'Open error ',INPUT,IZ
          STOP
      END IF
      OPEN(9,FILE=OUTPUT,IOSTAT=IZ,STATUS='UNKNOWN')
      IF(IZ .NE. 0) THEN
          PRINT *,'Open error ',OUTPUT,IZ
          STOP
      END IF
C
C
      END_SKIPL=TRIMLN(END_SKIP)
      NI=0
100   CONTINUE
      READ (8,101,END=200) LIGNE
      IF(LIGNE .EQ. ' ') GO TO 100
101   FORMAT(A)
      IA=INDEX(LIGNE,INDEXENTRY)
      IF(IA .EQ. 0) THEN
          PRINT *,'No \indexentry{ in input line:',LIGNE(:TRIMLN(LIGNE))
          PRINT *,'... ignored'
          GO TO 100
      END IF
C pointer sur le debut du texte
      IA=IA+INDEX(LIGNE(IA:),'{')
C
C ELIMINATION DES ACCENTS
C
      TEXTI=LIGNE
      CALL SUBSTI(TEXTI,'{ ','{',255) 
      CALL SUBSTI(TEXTI,'\protect \','\',255)
      CALL SUBSTI(TEXTI,'\protect\','\',255)
      CALL SUBSTI(TEXTI,'\OE ','OE',10)
      CALL SUBSTI(TEXTI,'\AE ','AE',10)
      CALL SUBSTI(TEXTI,'\i }','i}',10)
      CALL SUBSTI(TEXTI,'\oe ','oe',10)
      CALL SUBSTI(TEXTI,'\ae ','ae',10)
      CALL SUBSTI(TEXTI,'\ss ','ss',10)
      CALL SUBSTI(TEXTI,'^^ff','ss',10)
      CALL SUBSTI(TEXTI,'^^df','ss',10)
      CALL SUBSTI(TEXTI,'^^^','OE',10)
      CALL SUBSTI(TEXTI,'^^]','AE',10)
      CALL SUBSTI(TEXTI,'\i ','i}',10)
      CALL SUBSTI(TEXTI,'^^P','i}',10)
      CALL SUBSTI(TEXTI,'^^[','oe',10)
      CALL SUBSTI(TEXTI,'^^Z','ae',10)
      CALL SUBSTI(TEXTI,'^^Y','ss',10)
      CALL SUBSTI(TEXTI,'^^_','O',10)
      CALL SUBSTI(TEXTI,'^^\','O',10)
C lettres accentuees au standard de Cork
C      \catcode `\=11  \lccode '300='340 % 
      CALL SUBSTI(TEXTI,'','A',255)
      CALL SUBSTI(TEXTI,'^^c0','A',255)
C      \catcode `\=11  \lccode '301='341 % 
      CALL SUBSTI(TEXTI,'','A',255)
C      193 \'A, '301,
      CALL SUBSTI(TEXTI,'^^c1','A',255)
C      \catcode `\=11  \lccode '302='342 % 
      CALL SUBSTI(TEXTI,'','A',255)
C      194 \^A, '302,
      CALL SUBSTI(TEXTI,'^^c2','A',255)
C      \catcode `\=11  \lccode '303='343 % 
      CALL SUBSTI(TEXTI,'','A',255)
C      195 \~A, '303,
      CALL SUBSTI(TEXTI,'^^c3','A',255)
C      \catcode `\=11  \lccode '304='344 % 
      CALL SUBSTI(TEXTI,'','A',255)
C      196 {\"A}, '304,
      CALL SUBSTI(TEXTI,'^^c4','A',255)
C      \catcode `\=11  \lccode '305='345 % 
      CALL SUBSTI(TEXTI,'','A',255)
C                      {',255)
C      197 {\AA}, '305,
      CALL SUBSTI(TEXTI,'^^c5','A',255)
C      \catcode `\=11  \lccode '306='346 % 
      CALL SUBSTI(TEXTI,'','AE',255)
C      198 \AE{}, '306,
      CALL SUBSTI(TEXTI,'^^c6','AE',255)
C      \catcode `\=11  \lccode '307='347 % 
      CALL SUBSTI(TEXTI,'','C',255)
C      199 \c{C}, '307,
      CALL SUBSTI(TEXTI,'^^c7','C',255)
C      \catcode `\=11  \lccode '310='350 % 
      CALL SUBSTI(TEXTI,'','E',255)
C      200 \`E, '310,
      CALL SUBSTI(TEXTI,'^^c8','E',255)
C      \catcode `\=11  \lccode '311='351 % 
      CALL SUBSTI(TEXTI,'','E',255)
C      201 \'E, '311,
      CALL SUBSTI(TEXTI,'^^c9','E',255)
C      \catcode `\=11  \lccode '312='352 % 
      CALL SUBSTI(TEXTI,'','E',255)
C      202 \^E, '312,
      CALL SUBSTI(TEXTI,'^^ca','E',255)
C      \catcode `\=11  \lccode '313='353 % 
      CALL SUBSTI(TEXTI,'','E}',255)
C      203 {\"E}, '313,
      CALL SUBSTI(TEXTI,'^^cb','E',255)
C      \catcode `\=11  \lccode '314='354 % 
      CALL SUBSTI(TEXTI,'','I',255)
C      204 \`I, '314,
      CALL SUBSTI(TEXTI,'^^cc','I',255)
C      \catcode `\=11  \lccode '315='355 % 
      CALL SUBSTI(TEXTI,'','I',255)
C      205 \'I, '315,
      CALL SUBSTI(TEXTI,'^^cd','I',255)
C      \catcode `\=11  \lccode '316='356 % 
      CALL SUBSTI(TEXTI,'','I',255)
C      206 \^I, '316,
      CALL SUBSTI(TEXTI,'^^ce','I',255)
C      \catcode `\=11  \lccode '317='357 % 
      CALL SUBSTI(TEXTI,'','I',255)
C      207 {\"I}, '317,
      CALL SUBSTI(TEXTI,'^^cf','I',255)
C      \catcode `\=11  \lccode '321='361 % 
      IF(LANGUAGE .EQ. 3) THEN
        CALL SUBSTI(TEXTI,'','N[',255)
        CALL SUBSTI(TEXTI,'^^d1','N[',255)
      ELSE
        CALL SUBSTI(TEXTI,'','N',255)
        CALL SUBSTI(TEXTI,'^^d1','N',255)
      END IF
C      \catcode `\=11  \lccode '322='362 % 
      CALL SUBSTI(TEXTI,'','O',255)
C      210 \`O, '322,
      CALL SUBSTI(TEXTI,'^^d2','O',255)
C      \catcode `\=11  \lccode '323='363 % 
      CALL SUBSTI(TEXTI,'','O',255)
C      211 \'O, '323,
      CALL SUBSTI(TEXTI,'^^d3','O',255)
C      \catcode `\=11  \lccode '324='364 % 
      CALL SUBSTI(TEXTI,'','O',255)
C      212 \^O, '324,
      CALL SUBSTI(TEXTI,'^^d4','O',255)
C      \catcode `\=11  \lccode '325='365 % 
      CALL SUBSTI(TEXTI,'','O',255)
C      213 \~O, '325,
      CALL SUBSTI(TEXTI,'^^d5','O',255)
C      \catcode `\=11  \lccode '326='366 % 
      CALL SUBSTI(TEXTI,'','O',255)
C      214 %{\"O}, '326,
      CALL SUBSTI(TEXTI,'^^d6','O',255)
C      \catcode `\=11  \lccode '327='367 % 
      CALL SUBSTI(TEXTI,'','OE',255)
C      215 \OE{}, '327,
      CALL SUBSTI(TEXTI,'^^d7','OE',255)
C      \catcode `\=11  \lccode '330='370 % 
      CALL SUBSTI(TEXTI,'','O',255)
C      216 \O{}, '330,
      CALL SUBSTI(TEXTI,'^^d8','O',255)
C      \catcode `\=11  \lccode '331='371 % 
      CALL SUBSTI(TEXTI,'','U',255)
C      217 \`U, '331,
      CALL SUBSTI(TEXTI,'^^d9','U',255)
C      \catcode `\=11  \lccode '332='372 % 
      CALL SUBSTI(TEXTI,'','U',255)
C      218 \'U, '332,
      CALL SUBSTI(TEXTI,'^^da','U',255)
C      \catcode `\=11  \lccode '333='373 % 
      CALL SUBSTI(TEXTI,'','U',255)
C      219 \^U, '333,
      CALL SUBSTI(TEXTI,'^^db','U',255)
C      \catcode `\=11  \lccode '334='374 % 
      CALL SUBSTI(TEXTI,'','U',255)
C      220 {\"U}, '334,
      CALL SUBSTI(TEXTI,'^^dc','U',255)
C      \catcode `\=11  \lccode '335='335 % 
      CALL SUBSTI(TEXTI,'','Y}',255)
C      221 {\"Y}, '335,
      CALL SUBSTI(TEXTI,'^^dd','Y',255)
C      \catcode `\=11  % 
      CALL SUBSTI(TEXTI,'','SS',255)
C      223 \ss{}, '337,
      CALL SUBSTI(TEXTI,'^^df','SS',255)
C      \catcode `\=11  \lccode '340='340 % 
      CALL SUBSTI(TEXTI,'','A',255)
C      224 \`a, '340,
      CALL SUBSTI(TEXTI,'^^e0','A',255)
C      \catcode `\=11  \lccode '342='342 % 
      CALL SUBSTI(TEXTI,'','A',255)
C      226 \^a, '342,
      CALL SUBSTI(TEXTI,'^^e2','A',255)
C      \catcode `\=11  \lccode '343='343 % 
      CALL SUBSTI(TEXTI,'','A',255)
C      227 \~a, '343,
      CALL SUBSTI(TEXTI,'^^e3','A',255)
C      \catcode `\=11  \lccode '344='344 % 
      CALL SUBSTI(TEXTI,'','A',255)
C      228 {\"a}, '344,
      CALL SUBSTI(TEXTI,'^^e4','A',255)
C      \catcode `\=11  \lccode '345='345 % 
      CALL SUBSTI(TEXTI,'','A',255)
C      229 {\aa}, '345,
      CALL SUBSTI(TEXTI,'^^e5','A',255)
C      \catcode `\=11  \lccode '346='346 % 
      CALL SUBSTI(TEXTI,'','AE',255)
C      230 {\ae}, '346,
      CALL SUBSTI(TEXTI,'^^6e','AE',255)
C      \catcode `\=11  \lccode '347='347 % 
      CALL SUBSTI(TEXTI,'','C',255)
C      231 \c{c}, '347,
      CALL SUBSTI(TEXTI,'^^e7','C',255)
C      \catcode `\=11  \lccode '350='350 % 
      CALL SUBSTI(TEXTI,'','E',255)
C      232 \`e, '350,
      CALL SUBSTI(TEXTI,'^^e8','E',255)
C      \catcode `\=11  \lccode '351='351 % 
      CALL SUBSTI(TEXTI,'','E',255)
C      233 \'e, '351,
      CALL SUBSTI(TEXTI,'^^e9','E',255)
C      \catcode `\=11  \lccode '352='352 % 
      CALL SUBSTI(TEXTI,'','E',255)
C      234 \^e, '352,
      CALL SUBSTI(TEXTI,'^^ea','E',255)
C      \catcode `\=11  \lccode '353='353 % 
      CALL SUBSTI(TEXTI,'','E',255)
C      235 {\"e}, '353,
      CALL SUBSTI(TEXTI,'^^eb','E',255)
C      \catcode `\=11  \lccode '354='354 % 
      CALL SUBSTI(TEXTI,'','I',255)
C      236 \`{\i}, '354,
      CALL SUBSTI(TEXTI,'^^ec','I',255)
C      \catcode `\=11  \lccode '355='355 % 
      CALL SUBSTI(TEXTI,'','I',255)
C      237 \'{\i}, '355,
      CALL SUBSTI(TEXTI,'^^ed','I',255)
C      \catcode `\=11  \lccode '356='356 % 
      CALL SUBSTI(TEXTI,'','I',255)
C      238 \^{\i}, '356,
      CALL SUBSTI(TEXTI,'^^ee','I',255)
C      \catcode `\=11  \lccode '357='357 % 
      CALL SUBSTI(TEXTI,'','I',255)
C      239 {\"{\i}}, '357,
      CALL SUBSTI(TEXTI,'^^ef','I',255)
C      \catcode `\=11  \lccode '361='361 % 
      IF(LANGUAGE .EQ. 3) THEN
        CALL SUBSTI(TEXTI,'','N[',255)
        CALL SUBSTI(TEXTI,'^^f1','N[',255)
      ELSE
        CALL SUBSTI(TEXTI,'','N',255)
        CALL SUBSTI(TEXTI,'^^f1','N',255)
      END IF
C      \catcode `\=11  \lccode '362='362 % 
      CALL SUBSTI(TEXTI,'','O',255)
C      242 \`o, '362,
      CALL SUBSTI(TEXTI,'^^f2','O',255)
C      \catcode `\=11  \lccode '363='363 % 
      CALL SUBSTI(TEXTI,'','O',255)
C      243 \'o, '363,
      CALL SUBSTI(TEXTI,'^^f3','O',255)
C      \catcode `\=11  \lccode '364='364 % 
      CALL SUBSTI(TEXTI,'','O',255)
C      244 \^o, '364,
      CALL SUBSTI(TEXTI,'^^f4','O',255)
C      \catcode `\=11  \lccode '365='365 % 
      CALL SUBSTI(TEXTI,'','o',255)
C      245 \~o, '365,
      CALL SUBSTI(TEXTI,'^^f5','O',255)
C      \catcode `\=11  \lccode '366='366 % 
      CALL SUBSTI(TEXTI,'','o',255)
C      246 {\"o}, '366,
      CALL SUBSTI(TEXTI,'^^f6','O',255)
C      \catcode `\=11  \lccode '367='367 % 
      CALL SUBSTI(TEXTI,'','oe',255)
C      247 \oe{}, '367,
      CALL SUBSTI(TEXTI,'^^f7','OE',255)
C      \catcode `\=11  \lccode '371='371 % 
      CALL SUBSTI(TEXTI,'','U',255)
C      249 \`u, '371,
      CALL SUBSTI(TEXTI,'^^f9','U',255)
C      \catcode `\=11  \lccode '372='372 % 
      CALL SUBSTI(TEXTI,'','U',255)
C      250 \'u, '372,
      CALL SUBSTI(TEXTI,'^^fa','U',255)
C      \catcode `\=11  \lccode '373='373 % 
      CALL SUBSTI(TEXTI,'','U',255)
C      251 \^u, '373,
      CALL SUBSTI(TEXTI,'^^fb','U',255)
C      \catcode `\=11  \lccode '374='374 % 
      CALL SUBSTI(TEXTI,'','U',255)
C      252 {\"u}, '374,
      CALL SUBSTI(TEXTI,'^^fc','U',255)
C      \catcode `\=11  \lccode '375='375 % 
      CALL SUBSTI(TEXTI,'','Y',255)
C      253 {\"y}, '375,
      CALL SUBSTI(TEXTI,'^^fd','Y',255)

C alphabet espagnol
      IF(LANGUAGE .EQ. 3) THEN
        CALL SUBSTI(TEXTI,'ll','l[',10)       
        CALL SUBSTI(TEXTI,'Ll','L[',10)       
        CALL SUBSTI(TEXTI,'CH','C[',10)       
        CALL SUBSTI(TEXTI,'Ch','C[',10)       
        CALL SUBSTI(TEXTI,'ch','c[',10)       
      END IF
      CALL SUBSTI(TEXTI,' \penalty \@M \ ',' ',4)
      CALL SUBSTI(TEXTI,'\hbox to\z@ {\char 24\hss }c','c',8)
      CALL SUBSTI(TEXTI,
     $   '\hbox to\z@ {\kern 0.1em\char 24\hss }C','C',8)
105   CONTINUE
      IACC=INDEX(TEXTI,'{\accent ')
      IF(IACC .GT. 0) THEN
        IBCC=INDEX(TEXTI(IACC+1:),'}')+IACC
        IF(TEXTI(IBCC:IBCC) .NE. '}') THEN
          PRINT *,'Clobbered IBCC:',TEXTI(IBCC:IBCC)
          STOP
        END IF
        TEXTJ=TEXTI(IBCC+1:)
        TEXTI(IACC:IACC)=TEXTI(IBCC-1:IBCC-1)
        TEXTI(IACC+1:)=TEXTJ
        PRINT *,TEXTI(:TRIMLN(TEXTI))
        GO TO 105
      END IF
      ICED=INDEX(TEXTI,'\setbox \z@ \hbox')
      IF(ICED .NE. 0) THEN
        IA24=INDEX(TEXTI,'accent 24 ')
        IF(IA24 .NE. 0) THEN
          TEXTJ=TEXTI(IA24+10:)
          TEXTI(ICED:)=TEXTJ
          PRINT *,TEXTI(:TRIMLN(TEXTI))
          GO TO 105
        END IF
      END IF
C
C recherche des deux chaines
C
      IB=0
      IACCOL=1
      DO 80 K=IA,LEN(TEXTI)
      IF(TEXTI(K-1:K-1) .NE. '\') THEN
        IF(TEXTI(K:K) .EQ. '{') THEN
          IACCOL=IACCOL+1
        ELSE IF(TEXTI(K:K) .EQ. '}') THEN
          IACCOL=IACCOL-1
          IF(IACCOL .EQ. 0) THEN
            IB=K
            GO TO 81
          END IF
        END IF       
      END IF
80    CONTINUE
81    CONTINUE
      IF(IB .LE. IA) THEN
        PRINT *,'Empty item or unbalanced braces:',
     $       TEXTI(:TRIMLN(TEXTI))
        GO TO 100
      END IF
C
      IF(TEXTI(IB+1:IB+1) .NE. '{') THEN
        PRINT *,'Missing second argument oe \indexentry:',
     $       TEXTI(:TRIMLN(TEXTI))
        GO TO 100
      END IF
      IC=INDEX(TEXTI(IB+1:),'}')
      IF(IC .LE. 0) THEN
        PRINT *,'Unbalanced braces:',
     $       TEXTI(:TRIMLN(TEXTI))
        GO TO 100
      END IF
      IC=IC+IB
      IF(TEXTI(IC:IC) .NE. '}') THEN
        PRINT *,'Clobbered IC ',TEXTI(IC:IC)
        STOP
      END IF
      IF(IC-IB .LE. 2) THEN
        PRINT *,'Empty second arg:',
     $       TEXTI(:TRIMLN(TEXTI))
        GO TO 100
      END IF
C
C convertir la zone de comparaison en majuscules
C
      IF(UPCASE_COMP) THEN
        DO 140 IT=IA,IB-1
        TEXTI(IT:IT)=MAJUSC(ICHAR(TEXTI(IT:IT)))
140     CONTINUE
      END IF
C
C trouve la limite de la chaine de comparaison
C
      DO 120 K=1,NI
      IF(TEXTI(IA:IB-1) .EQ. FTABL(K)) THEN
C recherche de la fin du premier argument dans TABLE
        CLIGNE=TABLE(K) 
        JB=0
        IACCOL=0
        DO 85 KK=1,LEN(CLIGNE)
          IF(CLIGNE(KK-1:KK-1) .NE. '\') THEN
            IF(CLIGNE(KK:KK) .EQ. '{') THEN
              IACCOL=IACCOL+1
            ELSE IF(CLIGNE(KK:KK) .EQ. '}') THEN
              IACCOL=IACCOL-1
              IF(IACCOL .EQ. 0) THEN
                JB=KK
                GO TO 86
              END IF
            END IF       
          END IF
85      CONTINUE
86      CONTINUE
C       PRINT *,'''',TEXTI(IB+1:IC),''''
        IF(JB .EQ. 0) PRINT *,JB,CLIGNE(JB:),'#'
        IF(INDEX(CLIGNE(JB:),TEXTI(IB+1:IC)) .NE. 0) THEN
          PRINT *,'Duplicate reference: ',LIGNE(:TRIMLN(LIGNE))
          GO TO 100
        END IF  
        ZQ=TRIMLN(CLIGNE)
        TABLE(K)(ZQ+1:)=','//TEXTI(IB+1:IC)
        GO TO 100
      END IF
120   CONTINUE
      IF(NI .GE. MTAB) THEN
          PRINT *,'Table overflow, max:',MTAB
          GO TO 200
      END IF
      NI=NI+1
      ORDNO(NI)=NI
      TABLE(NI)=LIGNE
      FTABL(NI)=TEXTI(IA:IB-1)
      GO TO 100
C
200   CONTINUE
      CLOSE(8)
      PRINT *,'Now sorting'
C
C CLASSEMENT
C
C transformation en majuscules pour classement
C
      DO 185 I=1,NI
      TEXTI=FTABL(I)
        DO 186 IT=1,TRIMLN(TEXTI)
        TEXTI(IT:IT)=MAJUSC(ICHAR(TEXTI(IT:IT)))
186     CONTINUE
      FTABL(I)=TEXTI
185   CONTINUE
C
      ISTEP=NI/3+1
      DO 201 ZZ=1,NI*2
      DESORD=0
      ISTEP=ISTEP/3+1
      DO 210 I=1,NI-ISTEP
      II=ORDNO(I)
      JJ=ORDNO(I+ISTEP)
      TEXTI=FTABL(II)
      TEXTJ=FTABL(JJ)
      IF(LLT(TEXTJ,TEXTI)) THEN
        DESORD=1
        ORDNO(I)=JJ
        ORDNO(I+ISTEP)=II
      END IF
210   CONTINUE
      IF(DESORD .EQ. 0 .AND.  ISTEP .EQ. 1) GO TO 202
201   CONTINUE
      PRINT *,'failing sort',CHAR(6)
202   CONTINUE
      DO 300 I=1,NI
      CLIGNE=TABLE(ORDNO(I))
      IF(END_SKIPL .NE. 0) THEN
        IDEB=INDEX(CLIGNE,END_SKIP(1:END_SKIPL))
        IF(IDEB .NE. 0) THEN
          TEXTI=CLIGNE(IDEB+END_SKIPL:)
          CLIGNE=INDEXENTRY//'{'//TEXTI
          CALL SUBSTI(CLIGNE,'{ ',' ',15)
        END IF
      END IF
      CALL SUBSTI(CLIGNE,'},{',', ',255)
      IF(REPACK) THEN
        CALL SUBSTI(CLIGNE,'{\accent 94 ^^P}','^^ce',255)
        CALL SUBSTI(CLIGNE,'\hbox to\z@ {\char 24\hss }','\c ',255)
        CALL SUBSTI(CLIGNE,'{\accent 18 ','\`{',255)
        CALL SUBSTI(CLIGNE,'{\accent 19 ','\''{',255)
        CALL SUBSTI(CLIGNE,'{\accent 94 ','\^{',255)
        CALL SUBSTI(CLIGNE,'{\accent 127 ','\"{',255)
      END IF
C
      WRITE(9,101) CLIGNE(:TRIMLN(CLIGNE))
      PRINT 102,FTABL(ORDNO(I))(:TRIMLN(FTABL(ORDNO(I))))
102   FORMAT(1X,A)
300   CONTINUE
      CLOSE(9)
      STOP
      END
      INTEGER FUNCTION TRIMLN(A)
      IMPLICIT INTEGER(A-Z)
      CHARACTER*(*) A
C
      TRIMLN=LEN(A)
100   CONTINUE
      IF(TRIMLN .LE. 0) RETURN
      IF(A(TRIMLN:TRIMLN) .EQ. ' ') THEN
        TRIMLN=TRIMLN-1
        GO TO 100
      END IF
      RETURN
      END
      SUBROUTINE FLDEXT(CMDSTR,EXT)
      IMPLICIT INTEGER(A-Z)
      CHARACTER*(*) CMDSTR,EXT
C
      IV=MINDEX(CMDSTR,',')
      IF(IV .GT. 1) THEN
        EXT=CMDSTR(:IV-1)
      ELSE
        EXT=' '
      END IF
      CMDSTR(:IV)=' '
      DO 20 Z=1,LEN(CMDSTR)-IV
      CMDSTR(Z:Z)=CMDSTR(Z+IV:Z+IV)
20    CONTINUE
      Z=LEN(CMDSTR)-IV+1
      CMDSTR(Z:)=' '
      DO 10 I=1,4
      IF(EXT(1:1) .NE. '#') RETURN
      EXT(1:1)=' '
      CALL LJSTRG(EXT)
10    CONTINUE
      RETURN
      END
      SUBROUTINE LJSTRG(A)
      IMPLICIT INTEGER(A-Z)
      CHARACTER*(*) A
      CHARACTER*1 U
      Z=0
      LTH=LEN(A)
      DO 10 I=1,LTH
      U=A(I:I)
      IF(ICHAR(U) .GT. ICHAR(' ')) THEN
        Z=Z+1
        A(Z:Z)=U
      END IF
10    CONTINUE
      IF(Z .LT. LTH) A(Z+1:)=' '
      RETURN
      END
      SUBROUTINE APPEND(A,B)
      IMPLICIT INTEGER(A-Z)
      CHARACTER*(*) A,B
C   
C ajoute la chaine B dans la chaine A a partir des blancs finaux
C   
      Z=TRIMLN(A)+1
      IF(Z .GT. LEN(A)) RETURN
      A(Z:)=B
      RETURN
      END
      SUBROUTINE SUBSTI(SOURCE,STRA,STRB,NUM)                           00000010
      IMPLICIT INTEGER(A-Z)                                             00000020
      CHARACTER*(*) SOURCE,STRA,STRB                                    00000030
C                                                                       00000040
      CHARACTER*255 GAUCHE,DROITE                                       00000050
C                                                                       00000060
      IF(NUM .GE. 0) THEN                                               00000070
        ZA=LEN(STRA)                                                    00000080
        ZB=LEN(STRB)                                                    00000090
      ELSE                                                              00000100
        ZA=TRIMLN(STRA)                                                 00000110
        ZB=TRIMLN(STRB)                                                 00000120
      END IF                                                            00000130
      GAUCHE=SOURCE                                                     00000140
      DO 60 Y=1,ABS(NUM)                                                00000150
      Z=INDEX(GAUCHE,STRA)                                              00000160
      IF(Z .EQ. 0) GO TO 70                                             00000170
      DROITE=GAUCHE(Z+ZA:)                                              00000180
      GAUCHE(Z:)=STRB                                                   00000190
      GAUCHE(Z+ZB:)=DROITE                                              00000200
60    CONTINUE                                                          00000210
70    CONTINUE                                                          00000220
      SOURCE=GAUCHE                                                     00000230
      RETURN                                                            00000240
      END                                                               00000250
      FUNCTION MINDEX(A,B)
      IMPLICIT INTEGER(A-Z)
      CHARACTER*(*) A,B
      MINDEX=INDEX(A,B)
      IF(MINDEX .EQ. 0) MINDEX=1+TRIMLN(A)
      RETURN
      END
C
C unix like functions
C
      FUNCTION IARGC()
      IMPLICIT INTEGER(A-Z)
      CALL NARGC(L)
      IARGC=L
      RETURN
      END
C      
      SUBROUTINE GETARG(NUMQ,ARGUM)
      IMPLICIT INTEGER(A-Z)
      CHARACTER*(*) ARGUM
C 
      PARAMETER(LMAX=256) 
      CHARACTER*(LMAX) LIGNE
      LOGICAL DEJA
      CHARACTER*1 PRECEDENT
      SAVE 
C
      DATA DEJA/.FALSE./
C
      IF(.NOT. DEJA) THEN
C       CALL LIB$GET_FOREIGN(LIGNE)
        LIGNE=' '
        CALL CMDLIN(LIGNE)
        DEJA=.TRUE.
      END IF
C
      ARGUM=' '
      DEBUTMOT=1 
      JARG=0
      PRECEDENT=' '
      DO 100 K=1,LEN(LIGNE)
C     recherche s\'equences non-blanc/blanc
        IF(LIGNE(K:K) .EQ. ' ') THEN
          IF(PRECEDENT .NE. ' ') THEN 
C \rm on vient de terminer un mot
            IF(JARG .EQ. NUMQ) THEN
              ARGUM=LIGNE(DEBUTMOT:K-1)
              RETURN
            END IF
          END IF
        ELSE 
C \rm recherche s\'equences blanc/non-blanc
          IF(PRECEDENT .EQ. ' ') THEN
            DEBUTMOT=K
            JARG=JARG+1
          END IF
        END IF   
        PRECEDENT=LIGNE(K:K)
100   CONTINUE
      RETURN           
      ENTRY NARGC(NN)
      IF(.NOT. DEJA) THEN
C (vms) CALL LIB$GET_FOREIGN(LIGNE)
C (dos)   
        LIGNE=' '
        CALL CMDLIN(LIGNE)
        DEJA=.TRUE.
      END IF
C Compter le nombre de s\'equences blanc/non-blanc
      NN=0
      PRECEDENT=' '
      DO 101 K=1,LEN(LIGNE)
        IF(LIGNE(K:K) .NE. ' ') THEN
          IF(PRECEDENT .EQ. ' ') THEN
            NN=NN+1
          END IF
        END IF   
        PRECEDENT=LIGNE(K:K)
101   CONTINUE 
      RETURN           
      END

